HW graphics acceleration does not work on Origen with Ubuntu LEB

Bug #880428 reported by Zach Pfeffer on 2011-10-23
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Linaro Ubuntu
High
Unassigned
linaro-landing-team-samsung
Won't Fix
Wishlist
Unassigned

Bug Description

As of:

https://android-build.linaro.org/builds/~linaro-android/staging-origen-11.10-release/#build=5

#################################################################
For Unity 3D test: https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#Unity_3D

It failed on following images:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/45/hwpack_linaro-leb-origen_20120426-45_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/88/hwpack_linaro-leb-origen_20120514-88_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/109/hwpack_linaro-leb-origen_20120524-109_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/157/hwpack_linaro-leb-origen_20120617-157_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/171/hwpack_linaro-leb-origen_20120624-171_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/186/hwpack_linaro-leb-origen_20120701-186_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/200/hwpack_linaro-leb-origen_20120708-200_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/213/hwpack_linaro-leb-origen_20120714-213_armhf_supported.tar.gz

https://snapshots.linaro.org/precise/hwpacks/leb-origen/232/hwpack_linaro-leb-origen_20120723-232_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/245/hwpack_linaro-leb-origen_20120729-245_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/259/leb-origen-precise_ubuntu-desktop_20120805-259.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/273/leb-origen-precise_ubuntu-desktop_20120812-273.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/287/leb-origen-precise_ubuntu-desktop_20120819-287.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/312/leb-origen-precise_ubuntu-desktop_20120828-312.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/316/leb-origen-precise_ubuntu-desktop_20120830-316.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/336/leb-origen-precise_ubuntu-desktop_20120909-336.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/349/leb-origen-precise_ubuntu-desktop_20120916-349.img.gz

https://snapshots.linaro.org/precise/pre-built/leb-origen/365/leb-origen-precise_ubuntu-desktop_20120924-365.img.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/377/hwpack_linaro-leb-origen_20120928-377_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/395/leb-origen-precise_ubuntu-desktop_20121007-395.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/409/leb-origen-precise_ubuntu-desktop_20121014-409.img.gz

https://snapshots.linaro.org/precise/pre-built/leb-origen/424/leb-origen-precise_ubuntu-desktop_20121021-424.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/464/leb-origen-precise_ubuntu-desktop_20121111-464.img.gz

#################################################################
For hardware acceleration test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#HwGFX_-_Hardware_accelerated_3D_support

It failed on following images:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/45/hwpack_linaro-leb-origen_20120426-45_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/88/hwpack_linaro-leb-origen_20120514-88_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/100/hwpack_linaro-leb-origen_20120521-100_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/157/hwpack_linaro-leb-origen_20120617-157_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/175/hwpack_linaro-leb-origen_20120626-175_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/186/hwpack_linaro-leb-origen_20120701-186_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/200/hwpack_linaro-leb-origen_20120708-200_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/213/hwpack_linaro-leb-origen_20120714-213_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/233/hwpack_linaro-leb-origen_20120723-233_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/245/hwpack_linaro-leb-origen_20120729-245_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/259/leb-origen-precise_ubuntu-desktop_20120805-259.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/312/leb-origen-precise_ubuntu-desktop_20120828-312.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/316/leb-origen-precise_ubuntu-desktop_20120830-316.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/336/leb-origen-precise_ubuntu-desktop_20120909-336.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/349/leb-origen-precise_ubuntu-desktop_20120916-349.img.gz

https://snapshots.linaro.org/precise/pre-built/leb-origen/365/leb-origen-precise_ubuntu-desktop_20120924-365.img.gz

http://snapshots.linaro.org/precise/hwpacks/leb-origen/377/hwpack_linaro-leb-origen_20120928-377_armhf_supported.tar.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/395/leb-origen-precise_ubuntu-desktop_20121007-395.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/409/leb-origen-precise_ubuntu-desktop_20121014-409.img.gz

https://snapshots.linaro.org/precise/pre-built/leb-origen/424/leb-origen-precise_ubuntu-desktop_20121021-424.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/464/leb-origen-precise_ubuntu-desktop_20121111-464.img.gz

http://snapshots.linaro.org/precise/pre-built/leb-origen/480/leb-origen-precise_ubuntu-desktop_20121119-480.img.gz

Zach Pfeffer (pfefferz) on 2011-10-23
Changed in linaro-android:
status: New → Confirmed
importance: Undecided → Medium
Ricardo Salveti (rsalveti) wrote :

Also doesn't work at Ubuntu.
Hwpack: hwpack_linaro-lt-origen_20111022-0_armel_supported.tar.gz
Image: linaro-o-ubuntu-desktop-tar-20111023-0.tar.gz

Changed in linaro-ubuntu:
status: New → Incomplete
status: Incomplete → Confirmed
importance: Undecided → Medium
milestone: none → 11.10
tags: added: hwgfx origen
tags: added: linaro-ubuntu lt-origen
removed: origen
tags: added: unity-3d
Botao (botao-sun) on 2011-10-28
tags: added: glmark2 linaro-android
Fathi Boudra (fboudra) on 2011-11-11
Changed in linaro-ubuntu:
milestone: 11.10 → 11.11
Botao (botao-sun) wrote :

"Glmark2 cannot run because it couldn't find a suitable EGLConfig for GLES2.0. Please check that proper GLES2.0 drivers are installed." - Message prompted after clicked the GLMark2 app.

Ricardo Salveti (rsalveti) wrote :

Would be good to know from the samsung lt if they are planning to have this fixed soon, or at least for a specific milestone.

Changed in linaro-ubuntu:
milestone: 11.11 → none
assignee: nobody → Ricardo Salveti (rsalveti)
Ricardo Salveti (rsalveti) wrote :

Just to point out that this is still and issue with the 11.11 RC image.

Angus Ainslie (angus-akkea) wrote :

We are targeting Android support for 11.12

Changed in linaro-landing-team-samsung:
status: New → In Progress
milestone: none → 2011.12
Zach Pfeffer (pfefferz) wrote :

Being handled by: https://bugs.launchpad.net/linaro-android/+bug/888054 marking invalid here.

affects: linaro-android → ubuntu-leb
affects: linaro-ubuntu → linaro-android
Zach Pfeffer (pfefferz) wrote :
Angus Ainslie (angus-akkea) wrote :

Hw video acceleration is different for Android and Ubuntu.

Android has a separate bug to track Video acceleration.

Changed in linaro-android:
status: Confirmed → Invalid
Changed in linaro-landing-team-samsung:
milestone: 2011.12 → none
status: In Progress → Confirmed
Ricardo Salveti (rsalveti) wrote :

Issue is still part of the Ubuntu LEB 11.12 RC image.

no longer affects: ubuntu-leb
Changed in linaro-ubuntu:
status: New → Confirmed
importance: Undecided → High
Ricardo Salveti (rsalveti) wrote :

Still able to reproduce same issue with 12.01 RC:
Hwpack: hwpack_linaro-leb-origen_20120123-1_armel_supported.tar.gz
Image: linaro-o-ubuntu-desktop-tar-20120123-1.tar.gz

Usman Ahmad (usman-ah) on 2012-02-03
Changed in linaro-landing-team-samsung:
importance: Undecided → Medium
Ricardo Salveti (rsalveti) wrote :

Drivers still not available at the Ubuntu LEB 12.02 RC image.

Any idea if Samsung is planning on having the driver available for X11?

Changed in linaro-android:
assignee: Ricardo Salveti (rsalveti) → nobody
summary: - HW graphics acceleration does not work on Origen
+ HW graphics acceleration does not work on Origen with Ubuntu LEB
Changed in linaro-landing-team-samsung:
assignee: nobody → Tushar Behera (tusharbehera)
assignee: Tushar Behera (tusharbehera) → Giridhar BM (giridhar-bm)
Ricardo Salveti (rsalveti) wrote :

Also happening with 12.04 RC.

Botao (botao-sun) wrote :

Observed on 12.04 build:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/45/hwpack_linaro-leb-origen_20120426-45_armhf_supported.tar.gz

with ubuntu image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/119/linaro-precise-ubuntu-desktop-20120426-119.tar.gz

Here is the log output from serial console:

root@linaro-ubuntu-desktop:~# ps aux | grep compiz
root 2781 0.0 0.0 3196 752 ttySAC2 S+ 15:27 0:00 grep --color=a
root@linaro-ubuntu-desktop:~# ps aux | grep unity-2d
linaro 2500 1.6 2.0 105208 21096 ? Sl 15:26 0:00 unity-2d-panel
linaro 2501 7.3 4.2 211744 43308 ? Sl 15:26 0:03 unity-2d-shell
root 2783 0.0 0.0 3200 796 ttySAC2 S+ 15:27 0:00 grep --color=a
root@linaro-ubuntu-desktop:~# ps aux | grep compiz
root 2828 0.0 0.0 3196 752 ttySAC2 S+ 15:38 0:00 grep --color=a
root@linaro-ubuntu-desktop:~# ps aux | grep unity-2d
linaro 2500 0.1 2.0 105208 21112 ? Sl 15:26 0:01 unity-2d-panel
linaro 2501 2.5 5.4 223384 55852 ? Sl 15:26 0:19 unity-2d-shell
root 2830 0.0 0.0 3200 796 ttySAC2 S+ 15:38 0:00 grep --color=a
root@linaro-ubuntu-desktop:~#

However, the unity-2d is already there.

Botao (botao-sun) wrote :

Also, on 12.04 build:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/45/hwpack_linaro-leb-origen_20120426-45_armhf_supported.tar.gz

with ubuntu image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/119/linaro-precise-ubuntu-desktop-20120426-119.tar.gz

The log output from serial console is:

root@linaro-ubuntu-desktop:~# es2_info
Error: couldn't open display (null)
root@linaro-ubuntu-desktop:~# es2gears
EGLUT: failed to initialize native display
root@linaro-ubuntu-desktop:~# glmark2-es2
Error: main: Could not initialize canvas
root@linaro-ubuntu-desktop:~#

Riku Voipio (riku-voipio) wrote :

Hi Botao,

To run opengl applications from the serial console, you need to be "linaro" user and set the DISPLAY env variable. Like this:

root@linaro-ubuntu-desktop:~# su - linaro
linaro@linaro-ubuntu-desktop:~$ export DISPLAY=:0
linaro@linaro-ubuntu-desktop:~$ es2_info
...

Botao (botao-sun) wrote :

On hardware pack build:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/88/hwpack_linaro-leb-origen_20120514-88_armhf_supported.tar.gz

with ubuntu image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/158/linaro-precise-ubuntu-desktop-20120515-158.tar.gz

When run this test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#Unity_3D

Unity-3D is unavailable, however, Unity-2D is there:

root@linaro-ubuntu-desktop:~# ps aux | grep compiz
root 2754 0.0 0.0 3196 752 ttySAC2 S+ 00:03 0:00 grep --color=auto compiz
root@linaro-ubuntu-desktop:~# ps aux | grep unity
linaro 2415 0.5 2.0 105152 21052 ? Sl 00:00 0:00 unity-2d-panel
linaro 2416 4.2 5.3 223552 55188 ? Sl 00:00 0:07 unity-2d-shell
linaro 2491 0.9 1.3 78272 13652 ? Sl 00:00 0:01 /usr/lib/unity/unity-panel-service
linaro 2582 0.5 0.8 93024 8400 ? Sl 00:00 0:00 /usr/lib/unity-lens-applications/unity-applications-daemon
linaro 2584 0.1 0.4 89536 4912 ? Sl 00:00 0:00 /usr/lib/unity-lens-files/unity-files-daemon
linaro 2586 0.1 0.6 81844 6688 ? Sl 00:00 0:00 /usr/lib/unity-lens-music/unity-music-daemon
linaro 2588 0.5 1.1 88692 11332 ? Sl 00:00 0:00 /usr/bin/python /usr/lib/unity-lens-video/unity-lens-video
linaro 2651 0.0 0.3 80044 3416 ? Sl 00:00 0:00 /usr/lib/unity-lens-music/unity-musicstore-daemon
linaro 2686 0.5 1.2 100024 12644 ? Sl 00:00 0:00 /usr/bin/python /usr/lib/unity-scope-video-remote/unity-scope-video-remote
root 2756 0.0 0.0 3200 792 ttySAC2 S+ 00:03 0:00 grep --color=auto unity
root@linaro-ubuntu-desktop:~# ps aux | grep unity-2d
linaro 2415 0.5 2.0 105152 21052 ? Sl 00:00 0:00 unity-2d-panel
linaro 2416 4.1 5.3 223552 55188 ? Sl 00:00 0:07 unity-2d-shell
root 2758 0.0 0.0 3200 796 ttySAC2 S+ 00:03 0:00 grep --color=auto unity-2d
root@linaro-ubuntu-desktop:~#

Same log output after switch to the user "linaro".

Botao (botao-sun) wrote :
Download full text (4.0 KiB)

On hardware pack build:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/88/hwpack_linaro-leb-origen_20120514-88_armhf_supported.tar.gz

with ubuntu image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/158/linaro-precise-ubuntu-desktop-20120515-158.tar.gz

When run this test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#HwGFX_-_Hardware_accelerated_3D_support

After switched to user "linaro", then executed "export DISPLAY=:0" in serial console, the test works, but unfortunately, the result shows there is no hardware acceleration inside, the "EGL_VENDOR" is "Mesa Project". Below is full test log, and the final glmark2 score is 2.

linaro@linaro-ubuntu-desktop:~$ export DISPLAY=:0
linaro@linaro-ubuntu-desktop:~$ es2_info
libEGL warning: DRI2: failed to authenticate
EGL_VERSION = 1.4 (DRI2)
EGL_VENDOR = Mesa Project
EGL_EXTENSIONS = EGL_KHR_surfaceless_gles1 EGL_KHR_surfaceless_gles2 EGL_KHR_surfaceless_opengl
EGL_CLIENT_APIS = OpenGL OpenGL_ES OpenGL_ES2
GL_VERSION: OpenGL ES 2.0 Mesa 8.0.2
GL_RENDERER: Software Rasterizer
GL_EXTENSIONS:
    GL_EXT_blend_minmax, GL_EXT_multi_draw_arrays,
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_format_BGRA8888,
    GL_OES_depth24, GL_OES_element_index_uint, GL_OES_fbo_render_mipmap,
    GL_OES_mapbuffer, GL_OES_rgb8_rgba8, GL_OES_standard_derivatives,
    GL_OES_stencil8, GL_OES_texture_3D, GL_OES_texture_npot,
    GL_OES_depth_texture, GL_OES_packed_depth_stencil,
    GL_EXT_texture_type_2_10_10_10_REV, GL_NV_fbo_color_attachments,
    GL_NV_draw_buffers
linaro@linaro-ubuntu-desktop:~$ es2gears
libEGL warning: DRI2: failed to authenticate
EGL_VERSION = 1.4 (DRI2)
vertex shader info:
fragment shader info:
info:
165 frames in 5.0 seconds = 32.901 FPS
181 frames in 5.0 seconds = 36.077 FPS
173 frames in 5.0 seconds = 34.572 FPS
183 frames in 5.0 seconds = 36.505 FPS
185 frames in 5.0 seconds = 36.838 FPS
185 frames in 5.0 seconds = 36.853 FPS
183 frames in 5.0 seconds = 36.432 FPS
183 frames in 5.0 seconds = 36.411 FPS
^C
linaro@linaro-ubuntu-desktop:~$ glmark2-es2
libEGL warning: DRI2: failed to authenticate
=======================================================
    glmark2 2012.03
=======================================================
    OpenGL Information
    GL_VENDOR: Mesa Project
    GL_RENDERER: Software Rasterizer
    GL_VERSION: OpenGL ES 2.0 Mesa 8.0.2
=======================================================
[build] use-vbo=false: FPS: 5
[build] use-vbo=true: FPS: 6
[texture] texture-filter=nearest: FPS: 11
[texture] texture-filter=linear: FPS: 9
[texture] texture-filter=mipmap: FPS: 9
[shading] shading=gouraud: FPS: 3
[shading] shading=blinn-phong-inf: FPS: 2
[shading] shading=phong: FPS: 1
[bump] bump-render=high-poly: FPS: 1
[bump] bump-render=normals: FPS: 2
[bump] bump-render=height: FPS: 2
[effect2d] kernel=0,1,0;1,-4,1;0,1,0;: FPS: 0
[effect2d] kernel=1,1,1,1,1;1,1,1,1,1;1,1,1,1,1;: FPS: 0
[pulsar] light=false:quads=5:texture=false: FPS: 6
[desktop] blur-radius=5:effect=blur:passes=1:separable=true:windows=4: FPS: 0
[desktop] effect=shadow:windows=4: FPS: 1
[buffer] columns=200:interleave=false:update-dispersion=0.9:update-fraction=...

Read more...

Botao (botao-sun) wrote :
Download full text (3.6 KiB)

On hardware pack:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/100/hwpack_linaro-leb-origen_20120521-100_armhf_supported.tar.gz

with ubuntu image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/170/linaro-precise-ubuntu-desktop-20120521-170.tar.gz

Every time, after run this command "sudo apt-get install glmark2-es2 mesa-utils-extra", I got a window pops up and shows:

Sorry, Linaro 12.05 has experienced an internal error.
If you notice further problems, try restarting the computer.

There must be something wrong, although I can dismiss this window. Those packages can be installed successfully. Below is the serial console output I got:

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  glmark2-data
The following NEW packages will be installed:
  glmark2-data glmark2-es2 mesa-utils-extra
0 upgraded, 3 newly installed, 0 to remove and 2 not upgraded.
Need to get 3651 kB of archives.
After this operation, 5877 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://ppa.launchpad.net/linaro-maintainers/overlay/ubuntu/ precise/main glmark2-data all 2012.03+bzr204+17+201204111602~precise1 [3401 kB]
Get:2 http://ports.ubuntu.com/ubuntu-ports/ precise/universe mesa-utils-extra armhf 8.0.1+git20110129+d8f7d6b-0ubuntu2 [24.3 kB]
Get:3 http://ppa.launchpad.net/linaro-maintainers/overlay/ubuntu/ precise/main glmark2-es2 armhf 2012.03+bzr204+17+201204111602~precise1 [226 kB]
Fetched 3651 kB in 10s (358 kB/s)
Selecting previously unselected package glmark2-data.
(Reading database ... 107293 files and directories currently installed.)
Unpacking glmark2-data (from .../glmark2-data_2012.03+bzr204+17+201204111602~precise1_all.deb) ...
Selecting previously unselected package glmark2-es2.
Unpacking glmark2-es2 (from .../glmark2-es2_2012.03+bzr204+17+201204111602~precise1_armhf.deb) ...
Selecting previously unselected package mesa-utils-extra.
Unpacking mesa-utils-extra (from .../mesa-utils-extra_8.0.1+git20110129+d8f7d6b-0ubuntu2_armhf.deb) ...
Processing triggers for man-db ...
Setting up glmark2-data (2012.03+bzr204+17+201204111602~precise1) ...
Setting up glmark2-es2 (2012.03+bzr204+17+201204111602~precise1) ...
Setting up mesa-utils-extra (8.0.1+git20110129+d8f7d6b-0ubuntu2) ...
W: Duplicate sources.list entry http://ports.ubuntu.com/ubuntu-ports/ precise/main armhf Packages (/var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_precise_main_binary-armhf_Packages)
W: Duplicate sources.list entry http://ports.ubuntu.com/ubuntu-ports/ precise/universe armhf Packages (/var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_precise_universe_binary-armhf_Packages)
W: Duplicate sources.list entry http://ports.ubuntu.com/ubuntu-ports/ precise-security/main armhf Packages (/var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_precise-security_main_binary-armhf_Packages)
W: Duplicate sources.list entry http://ports.ubuntu.com/ubuntu-ports/ precise-security/universe armhf Packages (/var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_precise-security_universe_binary-armh...

Read more...

Botao (botao-sun) wrote :
Download full text (11.7 KiB)

On hardware pack:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/109/hwpack_linaro-leb-origen_20120524-109_armhf_supported.tar.gz

with ubuntu image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/179/linaro-precise-ubuntu-desktop-20120525-179.tar.gz

When run this test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#Unity_3D

The unity 3D is unavailable:

root@linaro-ubuntu-desktop:~# ps aux | grep compiz
root 3601 0.0 0.0 3196 752 ttySAC2 S+ 05:07 0:00 grep --color=auto compiz
root@linaro-ubuntu-desktop:~# ps aux | grep unity
linaro 3039 0.2 2.0 105204 21176 ? Sl 04:55 0:01 unity-2d-panel
linaro 3040 0.7 4.3 213104 44744 ? Sl 04:55 0:05 unity-2d-shell
linaro 3092 0.9 1.3 78696 14368 ? Sl 04:55 0:06 /usr/lib/unity/unity-panel-service
linaro 3181 0.1 0.7 93024 8184 ? Sl 04:56 0:00 /usr/lib/unity-lens-applications/unity-applications-daemon
linaro 3185 0.1 1.0 88696 11308 ? Sl 04:56 0:00 /usr/bin/python /usr/lib/unity-lens-video/unity-lens-video
linaro 3186 0.0 0.4 89536 4860 ? Sl 04:56 0:00 /usr/lib/unity-lens-files/unity-files-daemon
linaro 3187 0.0 0.6 81952 6524 ? Sl 04:56 0:00 /usr/lib/unity-lens-music/unity-music-daemon
linaro 3246 0.0 0.3 80048 3444 ? Sl 04:56 0:00 /usr/lib/unity-lens-music/unity-musicstore-daemon
linaro 3261 0.1 1.2 100028 12660 ? Sl 04:56 0:00 /usr/bin/python /usr/lib/unity-scope-video-remote/unity-scope-video-remote
root 3603 0.0 0.0 3200 792 ttySAC2 S+ 05:07 0:00 grep --color=auto unity
root@linaro-ubuntu-desktop:~# ps aux | grep unity-2d
linaro 3039 0.2 2.0 105204 21176 ? Sl 04:55 0:01 unity-2d-panel
linaro 3040 0.7 4.3 213104 44744 ? Sl 04:55 0:05 unity-2d-shell
root 3605 0.0 0.0 3200 796 ttySAC2 S+ 05:08 0:00 grep --color=auto unity-2d

When run this test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#HwGFX_-_Hardware_accelerated_3D_support

The package "glmark2-data_2012.03+bzr219+17+201205241336~precise1_all.deb" can't be installed. Network works well during the process. Below is the serial console output:

root@linaro-ubuntu-desktop:~# apt-get install glmark2-es2 mesa-utils-extra
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  glmark2-data
The following NEW packages will be installed:
  glmark2-data glmark2-es2 mesa-utils-extra
0 upgraded, 3 newly installed, 0 to remove and 5 not upgraded.
Need to get 4866 kB/5193 kB of archives.
After this operation, 7500 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://ppa.launchpad.net/linaro-maintainers/overlay/ubuntu/ precise/main glmark2-data all 2012.03+bzr219+17+201205241336~precise1 [4866 kB]
Fetched 4866 kB in 23s (211 kB/s)
Failed to fetch http://ppa.launchpad.net/linaro-maintainers/overlay/ubuntu/pool/main/g/glmark2/glmark2-data_2012.03+bzr219+17+201205241336~precise1_all.deb Hash Sum mh
E: Unable to fetch some archives...

Botao (botao-sun) wrote :

For test "https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#Unity_3D", observed on 12.06 RC1. Hardware pack is:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/157/hwpack_linaro-leb-origen_20120617-157_armhf_supported.tar.gz

with ubuntu image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/228/linaro-precise-ubuntu-desktop-20120617-228.tar.gz

linaro@linaro-ubuntu-desktop:~$ ps aux | grep compiz
linaro 3372 0.0 0.0 3196 752 ttySAC2 S+ 09:20 0:00 grep --color=auto compiz
linaro@linaro-ubuntu-desktop:~$ ps aux | grep unity
linaro 2502 0.7 2.1 105972 21952 ? Sl 09:12 0:03 unity-2d-panel
linaro 2503 2.2 4.3 221296 44856 ? Sl 09:12 0:11 unity-2d-shell
linaro 2582 2.8 1.4 70512 14464 ? Sl 09:12 0:13 /usr/lib/unity/unity-panel-service
linaro 2682 0.1 0.7 93028 8184 ? Sl 09:12 0:00 /usr/lib/unity-lens-applications/unity-applications-daemon
linaro 2684 0.0 0.4 89532 4856 ? Sl 09:12 0:00 /usr/lib/unity-lens-files/unity-files-daemon
linaro 2686 0.0 0.6 81952 6524 ? Sl 09:12 0:00 /usr/lib/unity-lens-music/unity-music-daemon
linaro 2688 0.2 1.1 88948 11572 ? Sl 09:12 0:01 /usr/bin/python /usr/lib/unity-lens-video/unity-lens-video
linaro 2718 0.0 0.3 80044 3444 ? Sl 09:12 0:00 /usr/lib/unity-lens-music/unity-musicstore-daemon
linaro 2780 0.1 1.2 83624 12696 ? Sl 09:12 0:00 /usr/bin/python /usr/lib/unity-scope-video-remote/unity-scope-video-remote
linaro 3374 0.0 0.0 3200 792 ttySAC2 S+ 09:20 0:00 grep --color=auto unity
linaro@linaro-ubuntu-desktop:~$ ps aux | grep unity-2d
linaro 2502 0.7 2.1 105972 21952 ? Sl 09:12 0:03 unity-2d-panel
linaro 2503 2.2 4.3 221296 44856 ? Sl 09:12 0:11 unity-2d-shell
linaro 3376 0.0 0.0 3200 796 ttySAC2 S+ 09:21 0:00 grep --color=auto unity-2d
linaro@linaro-ubuntu-desktop:~$

Botao (botao-sun) wrote :
Download full text (4.7 KiB)

For "https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#HwGFX_-_Hardware_accelerated_3D_support" test, no hardware acceleration on 12.06 RC1 image, hardware pack is:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/157/hwpack_linaro-leb-origen_20120617-157_armhf_supported.tar.gz

with ubuntu image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/228/linaro-precise-ubuntu-desktop-20120617-228.tar.gz

linaro@linaro-ubuntu-desktop:~$ sudo apt-get install glmark2-es2 mesa-utils-extr
Reading package lists... Done
Building dependency tree
Reading state information... Done
mesa-utils-extra is already the newest version.
The following NEW packages will be installed:
  glmark2-data glmark2-es2
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 5169 kB of archives.
After this operation, 7406 kB of additional disk space will be used.
Get:1 http://ppa.launchpad.net/linaro-maintainers/overlay/ubuntu/ precise/main glmark2-data all 2012.03+bzr219+17+201205241336~precise1 [4866 kB]
Get:2 http://ppa.launchpad.net/linaro-maintainers/overlay/ubuntu/ precise/main glmark2-es2 armhf 2012.03+bzr219+17+201205241336~precise1 [303 kB]
Fetched 5169 kB in 8s (596 kB/s)
Selecting previously unselected package glmark2-data.
(Reading database ... 115089 files and directories currently installed.)
Unpacking glmark2-data (from .../glmark2-data_2012.03+bzr219+17+201205241336~precise1_all.deb) ...
Selecting previously unselected package glmark2-es2.
Unpacking glmark2-es2 (from .../glmark2-es2_2012.03+bzr219+17+201205241336~precise1_armhf.deb) ...
Processing triggers for man-db ...
Setting up glmark2-data (2012.03+bzr219+17+201205241336~precise1) ...
Setting up glmark2-es2 (2012.03+bzr219+17+201205241336~precise1) ...
linaro@linaro-ubuntu-desktop:~$ export DISPLAY=:0.0
linaro@linaro-ubuntu-desktop:~$ es2_info
libEGL warning: DRI2: failed to authenticate
EGL_VERSION = 1.4 (DRI2)
EGL_VENDOR = Mesa Project
EGL_EXTENSIONS = EGL_KHR_surfaceless_gles1 EGL_KHR_surfaceless_gles2 EGL_KHR_surfaceless_opengl
EGL_CLIENT_APIS = OpenGL OpenGL_ES OpenGL_ES2
GL_VERSION: OpenGL ES 2.0 Mesa 8.0.2
GL_RENDERER: Software Rasterizer
GL_EXTENSIONS:
    GL_EXT_blend_minmax, GL_EXT_multi_draw_arrays,
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_format_BGRA8888,
    GL_OES_depth24, GL_OES_element_index_uint, GL_OES_fbo_render_mipmap,
    GL_OES_mapbuffer, GL_OES_rgb8_rgba8, GL_OES_standard_derivatives,
    GL_OES_stencil8, GL_OES_texture_3D, GL_OES_texture_npot,
    GL_OES_depth_texture, GL_OES_packed_depth_stencil,
    GL_EXT_texture_type_2_10_10_10_REV, GL_NV_fbo_color_attachments,
    GL_NV_draw_buffers
linaro@linaro-ubuntu-desktop:~$ glmark2-es2
libEGL warning: DRI2: failed to authenticate
=======================================================
    glmark2 2012.05
=======================================================
    OpenGL Information
    GL_VENDOR: Mesa Project
    GL_RENDERER: Software Rasterizer
    GL_VERSION: OpenGL ES 2.0 Mesa 8.0.2
=======================================================
[build] use-vbo=false: FPS: 5
[build] use-vbo=true: FPS: 5
[texture] texture...

Read more...

Changed in linaro-landing-team-samsung:
importance: Medium → Wishlist
Ricardo Salveti (rsalveti) wrote :

@usman or LT, any ETA on getting the Mali drivers for Ubuntu? Making it available for X11 is not really an issue anymore, as we already have many different hw vendors shipping a similar driver. Also, what would be needed to have the binaries available for the LEB?

no longer affects: linaro-android
Usman Ahmad (usman-ah) wrote :

No ETA at the moment. Mali has dependencies on UMM and we're awaiting support for that.

On 26 June 2012 05:16, Usman Ahmad <email address hidden> wrote:
> No ETA at the moment. Mali has dependencies on UMM and we're awaiting
> support for that.

You mean they are converting Mali 400 to UMM?

Zach Pfeffer (pfefferz) wrote :

On 26 June 2012 14:15, Anmar Oueja <email address hidden> wrote:
> On 26 June 2012 05:16, Usman Ahmad <email address hidden> wrote:
>> No ETA at the moment. Mali has dependencies on UMM and we're awaiting
>> support for that.
>
> You mean they are converting Mali 400 to UMM?

Yeah. Its something Annamalai was looking at.

> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/880428
>
> Title:
>  HW graphics acceleration does not work on Origen with  Ubuntu LEB
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linaro-landing-team-samsung/+bug/880428/+subscriptions

--
Zach Pfeffer
Android Platform Team Lead, Linaro Platform Teams
Linaro.org | Open source software for ARM SoCs
Follow Linaro: http://www.facebook.com/pages/Linaro
http://twitter.com/#!/linaroorg - http://www.linaro.org/linaro-blog

Botao (botao-sun) wrote :

Observed for test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#HwGFX_-_Hardware_accelerated_3D_support

on hardware pack:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/175/hwpack_linaro-leb-origen_20120626-175_armhf_supported.tar.gz

with ubuntu rootfs image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/247/linaro-precise-ubuntu-desktop-20120626-247.tar.gz

root@linaro-ubuntu-desktop:~# su - linaro
To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

linaro@linaro-ubuntu-desktop:~$ export DISPLAY=:0.0
linaro@linaro-ubuntu-desktop:~$ es2_info
libEGL warning: DRI2: failed to authenticate
EGL_VERSION = 1.4 (DRI2)
EGL_VENDOR = Mesa Project
EGL_EXTENSIONS = EGL_KHR_surfaceless_gles1 EGL_KHR_surfaceless_gles2 EGL_KHR_su
EGL_CLIENT_APIS = OpenGL OpenGL_ES OpenGL_ES2
GL_VERSION: OpenGL ES 2.0 Mesa 8.0.2
GL_RENDERER: Software Rasterizer
GL_EXTENSIONS:
    GL_EXT_blend_minmax, GL_EXT_multi_draw_arrays,
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_format_BGRA8888,
    GL_OES_depth24, GL_OES_element_index_uint, GL_OES_fbo_render_mipmap,
    GL_OES_mapbuffer, GL_OES_rgb8_rgba8, GL_OES_standard_derivatives,
    GL_OES_stencil8, GL_OES_texture_3D, GL_OES_texture_npot,
    GL_OES_depth_texture, GL_OES_packed_depth_stencil,
    GL_EXT_texture_type_2_10_10_10_REV, GL_NV_fbo_color_attachments,
    GL_NV_draw_buffers
linaro@linaro-ubuntu-desktop:~$

Sachin Kamat (sachin.kamat) wrote :

As there is no clarity on UMM based Mali 400 availability yet, this bug won't be fixed for now.

Changed in linaro-landing-team-samsung:
status: Confirmed → Won't Fix
Changed in linaro-landing-team-samsung:
assignee: Giridhar BM (giridhar-bm) → nobody
Usman Ahmad (usman-ah) on 2012-07-13
Changed in linaro-landing-team-samsung:
status: Won't Fix → Triaged
milestone: none → backlog
Botao (botao-sun) wrote :

Also, because bug https://bugs.launchpad.net/bugs/1028415, I can't log out and log in again with the "ubuntu" option, although this works on Panda board.

Botao (botao-sun) wrote :

For Samsung Origen board, on test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#HwGFX_-_Hardware_accelerated_3D_support

No hardware acceleration available. Observed on hardware pack:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/233/hwpack_linaro-leb-origen_20120723-233_armhf_supported.tar.gz

with ubuntu rootfs image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/305/linaro-precise-ubuntu-desktop-20120723-305.tar.gz

root@linaro-ubuntu-desktop:~# su - linaro
To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

linaro@linaro-ubuntu-desktop:~$ export DISPLAY=:0.0
linaro@linaro-ubuntu-desktop:~$ es2_info
libEGL warning: DRI2: failed to authenticate
EGL_VERSION = 1.4 (DRI2)
EGL_VENDOR = Mesa Project
EGL_EXTENSIONS = EGL_KHR_surfaceless_gles1 EGL_KHR_surfaceless_gles2 EGL_KHR_su
EGL_CLIENT_APIS = OpenGL OpenGL_ES OpenGL_ES2
GL_VERSION: OpenGL ES 2.0 Mesa 8.0.2
GL_RENDERER: Software Rasterizer
GL_EXTENSIONS:
    GL_EXT_blend_minmax, GL_EXT_multi_draw_arrays,
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_format_BGRA8888,
    GL_OES_depth24, GL_OES_element_index_uint, GL_OES_fbo_render_mipmap,
    GL_OES_mapbuffer, GL_OES_rgb8_rgba8, GL_OES_standard_derivatives,
    GL_OES_stencil8, GL_OES_texture_3D, GL_OES_texture_npot,
    GL_OES_depth_texture, GL_OES_packed_depth_stencil,
    GL_EXT_texture_type_2_10_10_10_REV, GL_NV_fbo_color_attachments,
    GL_NV_draw_buffers

Botao (botao-sun) wrote :

For Samsung Origen board, on test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#HwGFX_-_Hardware_accelerated_3D_support

No hardware acceleration available. Observed on hardware pack:

http://snapshots.linaro.org/precise/hwpacks/leb-origen/245/hwpack_linaro-leb-origen_20120729-245_armhf_supported.tar.gz

with ubuntu rootfs image:

http://snapshots.linaro.org/precise/images/ubuntu-desktop/321/linaro-precise-ubuntu-desktop-20120729-321.tar.gz

root@linaro-ubuntu-desktop:~# su - linaro
To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

linaro@linaro-ubuntu-desktop:~$ export DISPLAY=:0.0
linaro@linaro-ubuntu-desktop:~$ es2_info
libEGL warning: DRI2: failed to authenticate
EGL_VERSION = 1.4 (DRI2)
EGL_VENDOR = Mesa Project
EGL_EXTENSIONS = EGL_KHR_surfaceless_gles1 EGL_KHR_surfaceless_gles2 EGL_KHR_s
EGL_CLIENT_APIS = OpenGL OpenGL_ES OpenGL_ES2
GL_VERSION: OpenGL ES 2.0 Mesa 8.0.2
GL_RENDERER: Software Rasterizer
GL_EXTENSIONS:
    GL_EXT_blend_minmax, GL_EXT_multi_draw_arrays,
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_format_BGRA8888,
    GL_OES_depth24, GL_OES_element_index_uint, GL_OES_fbo_render_mipmap,
    GL_OES_mapbuffer, GL_OES_rgb8_rgba8, GL_OES_standard_derivatives,
    GL_OES_stencil8, GL_OES_texture_3D, GL_OES_texture_npot,
    GL_OES_depth_texture, GL_OES_packed_depth_stencil,
    GL_EXT_texture_type_2_10_10_10_REV, GL_NV_fbo_color_attachments,
    GL_NV_draw_buffers

Botao (botao-sun) wrote :
Botao (botao-sun) wrote :

For Samsung Origen board, on test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#HwGFX_-_Hardware_accelerated_3D_support

observed on Linaro ubuntu pre-built image:

http://snapshots.linaro.org/precise/pre-built/leb-origen/259/leb-origen-precise_ubuntu-desktop_20120805-259.img.gz

root@linaro-ubuntu-desktop:~# apt-get install glmark2-es2 mesa-utils-extra
Reading package lists... Done
Building dependency tree
Reading state information... Done
mesa-utils-extra is already the newest version.
The following NEW packages will be installed:
  glmark2-data glmark2-es2
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 7366 kB of archives.
After this operation, 10.1 MB of additional disk space will be used.
Get:1 http://ppa.launchpad.net/linaro-maintainers/overlay/ubuntu/ precise/main glmark2-data all 2012.07+bzr238+23+201207200905~precise1 [7054 kB]
Get:2 http://ppa.launchpad.net/linaro-maintainers/overlay/ubuntu/ precise/main glmark2-es2 armhf 2012.07+bzr238+23+201207200905~precise1 [313 kB]
Fetched 7366 kB in 22s (331 kB/s)
Selecting previously unselected package glmark2-data.
(Reading database ... 132156 files and directories currently installed.)
Unpacking glmark2-data (from .../glmark2-data_2012.07+bzr238+23+201207200905~precise1_all.deb) ...
Selecting previously unselected package glmark2-es2.
Unpacking glmark2-es2 (from .../glmark2-es2_2012.07+bzr238+23+201207200905~precise1_armhf.deb) ...
Processing triggers for man-db ...
Setting up glmark2-data (2012.07+bzr238+23+201207200905~precise1) ...
Setting up glmark2-es2 (2012.07+bzr238+23+201207200905~precise1) ...
root@linaro-ubuntu-desktop:~# su - linaro
To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

linaro@linaro-ubuntu-desktop:~$ export DISPLAY=:0.0
linaro@linaro-ubuntu-desktop:~$ es2_info
libEGL warning: DRI2: failed to authenticate
EGL_VERSION = 1.4 (DRI2)
EGL_VENDOR = Mesa Project
EGL_EXTENSIONS = EGL_KHR_surfaceless_gles1 EGL_KHR_surfaceless_gles2 EGL_KHR_surfaceless_opengl
EGL_CLIENT_APIS = OpenGL OpenGL_ES OpenGL_ES2
GL_VERSION: OpenGL ES 2.0 Mesa 8.0.2
GL_RENDERER: Software Rasterizer
GL_EXTENSIONS:
    GL_EXT_blend_minmax, GL_EXT_multi_draw_arrays,
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_format_BGRA8888,
    GL_OES_depth24, GL_OES_element_index_uint, GL_OES_fbo_render_mipmap,
    GL_OES_mapbuffer, GL_OES_rgb8_rgba8, GL_OES_standard_derivatives,
    GL_OES_stencil8, GL_OES_texture_3D, GL_OES_texture_npot,
    GL_OES_depth_texture, GL_OES_packed_depth_stencil,
    GL_EXT_texture_type_2_10_10_10_REV, GL_NV_fbo_color_attachments,
    GL_NV_draw_buffers
linaro@linaro-ubuntu-desktop:~$

Test "es2gears" & "glmark2-es2" can run, just no hardware acceleration.

John Rigby (jcrigby) wrote :

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#Unity_3D

http://snapshots.linaro.org/precise/pre-built/leb-origen/312/leb-origen-precise_ubuntu-desktop_20120828-312.img.gz

root@linaro-ubuntu-desktop:~# ps aux | grep compiz
root 2929 0.0 0.0 3196 752 ttySAC2 S+ 00:14 0:00 grep --color=auto compiz
root@linaro-ubuntu-desktop:~# ps aux | grep unity-2d
linaro 2409 0.7 5.7 220492 43860 ? Sl 00:00 0:06 unity-2d-shell
linaro 2410 0.1 2.6 91980 19928 ? Sl 00:00 0:01 unity-2d-panel
root 2931 0.0 0.1 3200 796 ttySAC2 S+ 00:14 0:00 grep --color=auto unity-2d
root@linaro-ubuntu-desktop:~#

Botao (botao-sun) wrote :

Although this bug has been fixed:

https://bugs.launchpad.net/linaro-ubuntu/+bug/1028415

But after log out and log in with "ubuntu" option, the Unity 3D feature is still unavailable. Observed on Origen Linaro ubuntu pre-built image:

http://snapshots.linaro.org/precise/pre-built/leb-origen/312/leb-origen-precise_ubuntu-desktop_20120828-312.img.gz

root@linaro-ubuntu-desktop:~# ps aux | grep compiz
root 3298 0.0 0.0 3196 752 ttySAC2 S+ 00:04 0:00 grep --color=auto compiz
root@linaro-ubuntu-desktop:~# ps aux | grep unity
linaro 3031 2.7 5.7 212316 43868 ? Sl 00:02 0:03 unity-2d-shell
linaro 3032 0.6 2.6 92020 19968 ? Sl 00:02 0:00 unity-2d-panel
linaro 3090 1.1 1.8 78204 13808 ? Sl 00:02 0:01 /usr/lib/unity/unity-panel-service
linaro 3165 0.4 1.0 68404 8140 ? Sl 00:02 0:00 /usr/lib/unity-lens-applications/unity-applications-daemon
linaro 3167 0.1 0.6 89528 4856 ? Sl 00:02 0:00 /usr/lib/unity-lens-files/unity-files-daemon
linaro 3169 0.1 0.8 81952 6524 ? Sl 00:02 0:00 /usr/lib/unity-lens-music/unity-music-daemon
linaro 3171 0.5 1.4 88696 11292 ? Sl 00:02 0:00 /usr/bin/python /usr/lib/unity-lens-video/unity-lens-video
linaro 3227 0.1 0.4 80048 3444 ? Sl 00:02 0:00 /usr/lib/unity-lens-music/unity-musicstore-daemon
linaro 3241 0.5 1.6 83620 12520 ? Sl 00:02 0:00 /usr/bin/python /usr/lib/unity-scope-video-remote/unity-scope-video-remote
root 3306 0.0 0.1 3200 792 ttySAC2 S+ 00:05 0:00 grep --color=auto unity
root@linaro-ubuntu-desktop:~# ps aux | grep unity-2d
linaro 3031 1.4 5.7 212316 43868 ? Sl 00:02 0:04 unity-2d-shell
linaro 3032 0.3 2.6 92020 19972 ? Sl 00:02 0:00 unity-2d-panel
root 3352 0.0 0.1 3200 796 ttySAC2 S+ 00:07 0:00 grep --color=auto unity-2d
root@linaro-ubuntu-desktop:~#

Botao (botao-sun) wrote :

For hardware acceleration test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#HwGFX_-_Hardware_accelerated_3D_support

The SoC driver is unavailable. Observed on Origen Linaro ubuntu pre-built image:

http://snapshots.linaro.org/precise/pre-built/leb-origen/312/leb-origen-precise_ubuntu-desktop_20120828-312.img.gz

linaro@linaro-ubuntu-desktop:~$ es2_info
libEGL warning: DRI2: failed to authenticate
EGL_VERSION = 1.4 (DRI2)
EGL_VENDOR = Mesa Project
EGL_EXTENSIONS = EGL_KHR_surfaceless_gles1 EGL_KHR_surfaceless_gles2 EGL_KHR_surfaceless_opengl
EGL_CLIENT_APIS = OpenGL OpenGL_ES OpenGL_ES2
GL_VERSION: OpenGL ES 2.0 Mesa 8.0.2
GL_RENDERER: Software Rasterizer
GL_EXTENSIONS:
    GL_EXT_blend_minmax, GL_EXT_multi_draw_arrays,
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_format_BGRA8888,
    GL_OES_depth24, GL_OES_element_index_uint, GL_OES_fbo_render_mipmap,
    GL_OES_mapbuffer, GL_OES_rgb8_rgba8, GL_OES_standard_derivatives,
    GL_OES_stencil8, GL_OES_texture_3D, GL_OES_texture_npot,
    GL_OES_depth_texture, GL_OES_packed_depth_stencil,
    GL_EXT_texture_type_2_10_10_10_REV, GL_NV_fbo_color_attachments,
    GL_NV_draw_buffers

Botao (botao-sun) wrote :
Botao (botao-sun) wrote :

Observed same behaviour on Samsung Origen board as comment #47 for Unity 3D test:

https://wiki.linaro.org/Platform/QA/TestCases/Ubuntu#Unity_3D

The Linaro ubuntu pre-built image is:

http://snapshots.linaro.org/precise/pre-built/leb-origen/336/leb-origen-precise_ubuntu-desktop_20120909-336.img.gz

Botao (botao-sun) on 2012-09-17
description: updated
Botao (botao-sun) on 2012-09-18
description: updated
Botao (botao-sun) on 2012-09-24
description: updated
Botao (botao-sun) on 2012-09-26
description: updated
Botao (botao-sun) on 2012-10-02
description: updated
Botao (botao-sun) on 2012-10-04
description: updated
Botao (botao-sun) on 2012-10-08
description: updated
Botao (botao-sun) on 2012-10-10
description: updated
Botao (botao-sun) on 2012-10-15
description: updated
Botao (botao-sun) on 2012-10-17
description: updated
Botao (botao-sun) on 2012-10-22
description: updated
Botao (botao-sun) on 2012-10-24
description: updated
Tushar Behera (tusharbehera) wrote :

Currently there are no plans to add h/w graphics acceleration for Origen on Ubuntu.

Changed in linaro-landing-team-samsung:
status: Triaged → Won't Fix
Botao (botao-sun) on 2012-11-12
description: updated
Botao (botao-sun) on 2012-11-14
description: updated
description: updated
Changed in linaro-landing-team-samsung:
milestone: backlog → none
Fathi Boudra (fboudra) on 2013-03-29
Changed in linaro-ubuntu:
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers